apiVersion: v1
kind: Secret
metadata:
  name: {{ include "shaman.fullname" . }}-config-json
  labels:
    app.kubernetes.io/name: {{ include "shaman.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    helm.sh/chart: {{ include "shaman.chart" . }}
type: Opaque
data:
  config.json: {{ .Values.configYAML | toJson | b64enc }} 
